CANONICALIZE_FILE_NAME(3)

NOM
canonicalize_file_name - Renvoyer le nom de fichier normalisé

SYNOPSIS

#define _GNU_SOURCE
#include <stdlib.h>

char *canonicalize_file_name(const char *path);

DESCRIPTION
L'appel canonicalize_file_name(path) est équivalent à l'appel realpath(path, NULL).

CONFORMITÉ
Cette fonction est une extension GNU.

VOIR AUSSI
realpath(3), feature_test_macros(7)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 30 juin 2006 et révisée le 22 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 canonicalize_file_name ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.